Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gmerlin-avdecoder
Version:	1.0.0
Release:	2
License:	GNU/GPL
URL:		http://gmerlin.sourceforge.net
Group:		Development/Libraries
Summary:	Gmerlin Audio / Video decoder library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: faad2-devel
BuildRequires: ffmpeg-devel
BuildRequires: flac-devel
BuildRequires: gavl-devel
BuildRequires: glibc-devel
BuildRequires: liba52-devel
BuildRequires: libcdio-devel
BuildRequires: libdts-devel
BuildRequires: libmad-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmpeg2-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libtheora-1.0-devel
BuildRequires: libtiff-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: mjpegtools-devel
BuildRequires: openjpeg-devel
BuildRequires: samba-common
BuildRequires: speex-devel
BuildRequires: zlib-devel

%description
This is gmerlin_avdecoder, a multimedia decoding library. 
It it primarly a support library for gmerlin, but it can also be 
used as a standalone library for getting sophisticated media file 
decoding support for your application.

It needs gavl, the support library for handling uncompressed audio-
and video data.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary:	%{name} documents.
Group:		Documentation

%description	doc
%{name} documents.

%package	plugins
Summary:	Gmerlin plugins based on the Gmerlin A/V decoder library
Group:		Multimedia
Requires:	gmerlin

%description	plugins
Gmerlin plugins based on the Gmerlin A/V decoder library

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-dvdread \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root,-)
%_bindir
%_libdir/*.so.*
%_datadir/locale

%files devel
%defattr(-,root,root,-)
%_libdir/*.la
%_libdir/*.so
%_includedir
%_pkgconfig

%files doc
%defattr(-,root,root,-)
%_datadir/doc/%{name}

%files plugins
%defattr(-,root,root,-)
%_libdir/gmerlin/plugins/*.la
%_libdir/gmerlin/plugins/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 08 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.0-2
- fix bugtracker entry #56 (disabled libdvdread support)
* Tue Jan 06 2009 Christian Wasem <wasem@ccux-linux.de> 1.0.0-1
- initial CCux package release
